<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
         xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>

	<artifactId>getmymoodyresponse.cdk</artifactId>
	<version>1.0</version>
	<name>getmymoodyresponse.cdk</name>
	<packaging>jar</packaging>

	<parent>
		<groupId>com.anastasiyafomin.devopsforagilecoaches</groupId>
		<artifactId>getmymoodyresponse</artifactId>
		<version>1.0</version>
	</parent>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>

		<!-- cdk modules for wegood and hello -->
		<dependency>
			<groupId>com.cliffberg.devopsforagilecoaches</groupId>
			<artifactId>hello.cdk</artifactId>
			<version>1.0</version>
		</dependency>

		<dependency>
			<groupId>com.cliffberg.devopsforagilecoaches</groupId>
			<artifactId>wegood.cdk</artifactId>
			<version>1.0</version>
		</dependency>

        <!-- AWS Cloud Development Kit -->
		<dependency>
			<groupId>software.amazon.awscdk</groupId>
			<artifactId>core</artifactId>
			<version>1.30.0</version>
		</dependency>
		<dependency>
        	<groupId>software.amazon.awscdk</groupId>
        	<artifactId>ec2</artifactId>
        	<version>1.28.0</version>
        </dependency>
        <dependency>
        	<groupId>software.amazon.awscdk</groupId>
        	<artifactId>ecs</artifactId>
        	<version>1.28.0</version>
        </dependency>
        <dependency>
        	<groupId>software.amazon.awscdk</groupId>
        	<artifactId>ecs-patterns</artifactId>
        	<version>1.28.0</version>
        </dependency>
        <dependency>
        	<groupId>software.amazon.awscdk</groupId>
        	<artifactId>servicediscovery</artifactId>
        	<version>1.28.0</version>
        </dependency>
		<dependency>
        	<groupId>software.amazon.awscdk</groupId>
        	<artifactId>appmesh</artifactId>
        	<version>1.28.0</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>

            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>exec-maven-plugin</artifactId>
                <version>1.6.0</version>
                <configuration>
					<mainClass>getmymoodyresponse.cdk.DeployApp</mainClass>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
